Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.container.object
Interface PortletApplicationObject

All Superinterfaces:
  PortletApplication

All Known Implementing Classes:
  PortletApplicationImpl

    public interface PortletApplicationObject

extends PortletApplication

Contains life cycle and wiring details for the kernel environment.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Method Summary
`void` | `addPortletContainer(PortletContainer container)` Add a container.
`void` | `addPortletFilter(PortletFilter filter)` Add a filter.
`PortletApplicationContext` | `getContext()` Returns the context related to this application.
`void` | `removePortletContainer(PortletContainer container)` Remove a container.
`void` | `removePortletFilter(PortletFilter filter)` Remove a filter.
`void` | `setContext(PortletApplicationContext context)` Set the context required by that application.
`void` | `start()` Starts the application only.
`void` | `stop()` Stops the application only.

Methods inherited from interface org.jboss.portal.portlet.container.PortletApplication
`getId, getPortletContainer, getPortletContainers`

Method Detail

### setContext

    void setContext(PortletApplicationContext context)

  Set the context required by that application.

  Parameters:
    `context` - the context

### getContext

    PortletApplicationContext getContext()

  Returns the context related to this application.

  Specified by:
    `getContext` in interface `PortletApplication`
  Returns:
    the context

### addPortletContainer

    void addPortletContainer(PortletContainer container)

  Add a container.

  Parameters:
    `container` - the container

### removePortletContainer

    void removePortletContainer(PortletContainer container)

  Remove a container.

  Parameters:
    `container` - the container

### addPortletFilter

    void addPortletFilter(PortletFilter filter)

  Add a filter.

  Parameters:
    `filter` - the filter

### removePortletFilter

    void removePortletFilter(PortletFilter filter)

  Remove a filter.

  Parameters:
    `filter` - the filter

### start

    void start()
               throws java.lang.Exception

  Starts the application only. It does not take care of starting its components.

  Throws:
    `java.lang.Exception` - any exception preventing the start

### stop

    void stop()

  Stops the application only. It does not take care of stopping its components.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.